gtkmm: Gtk::PrintSettings::Keys Class Reference

gtkmm 2.24.5

Static Public Attributes | List of all members
Gtk::PrintSettings::Keys Class Reference

Print settings keys. More...

Collaboration diagram for Gtk::PrintSettings::Keys:
[legend]

## Static Public Attributes
static const Glib::ustring | PRINTER
static const Glib::ustring | ORIENTATION
static const Glib::ustring | PAPER_FORMAT
static const Glib::ustring | PAPER_WIDTH
static const Glib::ustring | PAPER_HEIGHT
static const Glib::ustring | NUM_COPIES
static const Glib::ustring | DEFAULT_SOURCE
static const Glib::ustring | QUALITY
static const Glib::ustring | RESOLUTION
static const Glib::ustring | USE_COLOR
static const Glib::ustring | DUPLEX
static const Glib::ustring | COLLATE
static const Glib::ustring | REVERSE
static const Glib::ustring | MEDIA_TYPE
static const Glib::ustring | DITHER
static const Glib::ustring | SCALE
static const Glib::ustring | PRINT_PAGES
static const Glib::ustring | PAGE_RANGES
static const Glib::ustring | PAGE_SET
static const Glib::ustring | FINISHINGS
static const Glib::ustring | NUMBER_UP
static const Glib::ustring | NUMBER_UP_LAYOUT
static const Glib::ustring | OUTPUT_BIN
static const Glib::ustring | OUTPUT_FILE_FORMAT
static const Glib::ustring | OUTPUT_URI
static const Glib::ustring | WIN32_DRIVER_VERSION
static const Glib::ustring | WIN32_DRIVER_EXTRA

## Detailed Description

Print settings keys.

## Member Data Documentation

## ◆ COLLATE

const Glib::ustring Gtk::PrintSettings::Keys::COLLATE
| static

## ◆ DEFAULT_SOURCE

const Glib::ustring Gtk::PrintSettings::Keys::DEFAULT_SOURCE
| static

## ◆ DITHER

const Glib::ustring Gtk::PrintSettings::Keys::DITHER
| static

## ◆ DUPLEX

const Glib::ustring Gtk::PrintSettings::Keys::DUPLEX
| static

## ◆ FINISHINGS

const Glib::ustring Gtk::PrintSettings::Keys::FINISHINGS
| static

## ◆ MEDIA_TYPE

const Glib::ustring Gtk::PrintSettings::Keys::MEDIA_TYPE
| static

## ◆ NUM_COPIES

const Glib::ustring Gtk::PrintSettings::Keys::NUM_COPIES
| static

## ◆ NUMBER_UP

const Glib::ustring Gtk::PrintSettings::Keys::NUMBER_UP
| static

## ◆ NUMBER_UP_LAYOUT

const Glib::ustring Gtk::PrintSettings::Keys::NUMBER_UP_LAYOUT
| static

## ◆ ORIENTATION

const Glib::ustring Gtk::PrintSettings::Keys::ORIENTATION
| static

## ◆ OUTPUT_BIN

const Glib::ustring Gtk::PrintSettings::Keys::OUTPUT_BIN
| static

## ◆ OUTPUT_FILE_FORMAT

const Glib::ustring Gtk::PrintSettings::Keys::OUTPUT_FILE_FORMAT
| static

## ◆ OUTPUT_URI

const Glib::ustring Gtk::PrintSettings::Keys::OUTPUT_URI
| static

## ◆ PAGE_RANGES

const Glib::ustring Gtk::PrintSettings::Keys::PAGE_RANGES
| static

## ◆ PAGE_SET

const Glib::ustring Gtk::PrintSettings::Keys::PAGE_SET
| static

## ◆ PAPER_FORMAT

const Glib::ustring Gtk::PrintSettings::Keys::PAPER_FORMAT
| static

## ◆ PAPER_HEIGHT

const Glib::ustring Gtk::PrintSettings::Keys::PAPER_HEIGHT
| static

## ◆ PAPER_WIDTH

const Glib::ustring Gtk::PrintSettings::Keys::PAPER_WIDTH
| static

## ◆ PRINT_PAGES

const Glib::ustring Gtk::PrintSettings::Keys::PRINT_PAGES
| static

## ◆ PRINTER

const Glib::ustring Gtk::PrintSettings::Keys::PRINTER
| static

## ◆ QUALITY

const Glib::ustring Gtk::PrintSettings::Keys::QUALITY
| static

## ◆ RESOLUTION

const Glib::ustring Gtk::PrintSettings::Keys::RESOLUTION
| static

## ◆ REVERSE

const Glib::ustring Gtk::PrintSettings::Keys::REVERSE
| static

## ◆ SCALE

const Glib::ustring Gtk::PrintSettings::Keys::SCALE
| static

## ◆ USE_COLOR

const Glib::ustring Gtk::PrintSettings::Keys::USE_COLOR
| static

## ◆ WIN32_DRIVER_EXTRA

const Glib::ustring Gtk::PrintSettings::Keys::WIN32_DRIVER_EXTRA
| static

## ◆ WIN32_DRIVER_VERSION

const Glib::ustring Gtk::PrintSettings::Keys::WIN32_DRIVER_VERSION
| static

The documentation for this class was generated from the following file:

- gtkmm/printsettings.h